package com.cxzx.db;

import cn.hutool.core.collection.CollUtil;
import lombok.Cleanup;
import lombok.SneakyThrows;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.List;

public class Tidb {

    private static final Connection connection ;

    static {
        try {
            Class.forName("com.mysql.cj.jdbc.Driver");
            connection = DriverManager.getConnection("jdbc:mysql://172.16.101.1:4000/huaqiyun?autoReconnect=true&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&nullCatalogMeansCurrent=true&rewriteBatchedStatements=true",
                    "root", "msstar");

        } catch (ClassNotFoundException | SQLException e) {
            throw new RuntimeException(e);
        }
    }

    @SneakyThrows
    public static void insert(List<KafkaData> kafkaDataList) {
        if (CollUtil.isEmpty(kafkaDataList)) {
            return;
        }
        @Cleanup
        var preparedStatement = connection.prepareStatement("insert ignore into article (offset,create_time,data) values (?,?,?)");
        for (KafkaData kafkaData : kafkaDataList) {
            preparedStatement.setLong(1, kafkaData.getOffset());
            preparedStatement.setTimestamp(2, kafkaData.getCreateTime());
            preparedStatement.setString(3, kafkaData.getData());
            preparedStatement.addBatch();
        }
        preparedStatement.executeBatch();

    }
}
